Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class InstanceLicense

    java.lang.Object
      com.amazonaws.services.ec2.model.InstanceLicense

    public class InstanceLicense

extends Object

Represents an active license in use and attached to an Amazon EC2 instance.

Constructor Summary
`InstanceLicense()`

Method Summary
`String` | `getPool()` The license pool from which this license was used (ex: `'windows'`).
`void` | `setPool(String pool)` The license pool from which this license was used (ex: `'windows'`).
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`InstanceLicense` | `withPool(String pool)` The license pool from which this license was used (ex: `'windows'`).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceLicense

    public InstanceLicense()

Method Detail

### getPool

    public String getPool()

  The license pool from which this license was used (ex: `'windows'`).

  Returns:
    The license pool from which this license was used (ex: `'windows'`).

### setPool

    public void setPool(String pool)

  The license pool from which this license was used (ex: `'windows'`).

  Parameters:
    `pool` - The license pool from which this license was used (ex: `'windows'`).

### withPool

    public InstanceLicense withPool(String pool)

  The license pool from which this license was used (ex: `'windows'`).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `pool` - The license pool from which this license was used (ex: `'windows'`).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.